xcb_sync_create_fence(3)

NAME
xcb_sync_create_fence -

SYNOPSIS
#include <xcb/sync.h>

  Request function

xcb_void_cookie_t xcb_sync_create_fence(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_sync_fence_t fence, uint8_t initially_triggered);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

fence
    TODO: NOT YET DOCUMENTED.

initially_triggered
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_sync_create_fence_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from sync.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.